PING6(1)

NAME
ping6 - Packets to network hosts

SYNOPSIS
ping6 [OPTION...] HOST ...

DESCRIPTION
Send ICMP ECHO_REQUEST packets to network hosts.

    Options valid for all request types:

-c, --count=NUMBER
    stop after sending NUMBER packets

-d, --debug
    set the SO_DEBUG option

--hoplimit=N
    specify N as hop-limit

-i, --interval=NUMBER
    wait NUMBER seconds between sending each packet

-n, --numeric
    do not resolve host addresses

-r, --ignore-routing
    send directly to a host on an attached network

--ttl=N
    synonym for --hoplimit

-T, --tos=N
    set traffic class to N

-v, --verbose
    verbose output

-w, --timeout=N
    stop after N seconds

    Options valid for --echo requests:

-f, --flood
    flood ping (root only)

-l, --preload=NUMBER
    send NUMBER packets as fast as possible before falling into normal mode of behavior (root only)

-p, --pattern=PATTERN
    fill ICMP packet with given pattern (hex)

-q, --quiet
    quiet output

-s, --size=NUMBER
    send NUMBER data octets

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Options marked with (root only) are available only to superuser.

AUTHOR
Written by Jeroen Dekkers.

REPORTING BUGS
Report bugs to <bug-inetutils@gnu.org>.

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for ping6 is maintained as a Texinfo manual. If the info and ping6 programs are properly installed at your site, the command

    info ping6

should give you access to the complete manual.